Commit 60ff1a83 authored by jspiegel's avatar jspiegel

correct Dockerfile and READMEs

parent 456676c9
......@@ -39,13 +39,15 @@ We strongly recommend running AutoGrow4 via Docker using
AutoGrow4 version 4.0.1 has been tested to run using the following dependencies:
```python
>>> rdkit.__version__
'2019.03.4'
'2020.03.1'
>>> numpy.__version__
'1.17.2'
'1.18.1'
>>> scipy.__version__
'1.4.1'
>>> matplotlib.__version__
'3.1.1'
'3.2.1'
>>> func_timeout.__version__
'4.3.5'
```
If you are unable to run AutoGrow4, please try running AutoGrow4 in an environment
......@@ -62,7 +64,7 @@ Yablonski S, Durrant JD (2019) Dimorphite-DL: An open-source program for
enumerating the ionization states of drug-like small molecules. J Cheminform
11:14. doi:10.1186/s13321-019-0336-9.
Running AutoGrow4 using Docker uses the most current versions of its dependencies
Running AutoGrow4 using Docker uses current versions of its dependencies
as of May 2020. These have been tested to be compatible with AutoGrow4. Future
development of AutoGrow4 should test the most current versions of these dependencies
development of AutoGrow4 should test the current versions of these dependencies
and update `$PATH/docker/Dockerfile` appropriately.
\ No newline at end of file
......@@ -24,11 +24,11 @@ RUN echo "alias pip=/root/miniconda3/bin/pip" >> /root/.bashrc
# Get python dependencies
RUN conda install -y -c conda-forge rdkit rdkit=2020.03.1
RUN conda install -y numpy numpy=1.18.1
RUN conda install -y scipy scipy=1.4.1
RUN pip install matplotlib matplotlib=3.2.1
RUN pip install func-timeout func_timeout=4.3.5
RUN /root/miniconda3/bin/conda install -y -c conda-forge rdkit rdkit=2020.03.1
RUN /root/miniconda3/bin/conda install -y numpy numpy=1.18.1
RUN /root/miniconda3/bin/conda install -y scipy scipy=1.4.1
RUN /root/miniconda3/bin/pip install matplotlib==3.2.1
RUN /root/miniconda3/bin/pip install func_timeout==4.3.5
# Install mgltools
RUN wget http://mgltools.scripps.edu/downloads/downloads/tars/releases/REL1.5.6/mgltools_x86_64Linux2_1.5.6.tar.gz
......
......@@ -91,13 +91,15 @@ To run AutoGrow4 in a docker, please use the `autogrow_in_docker.py` script:
- AutoGrow4's Docker has been tested and fixed to install the following dependencies:
```python
>>> rdkit.__version__
'2019.03.4'
'2020.03.1'
>>> numpy.__version__
'1.17.2'
'1.18.1'
>>> scipy.__version__
'1.4.1'
>>> matplotlib.__version__
'3.1.1'
'3.2.1'
>>> func_timeout.__version__
'4.3.5'
```
- Please test and update `$PATH/docker/Dockerfile` these as new versions of AutoGrow4 and
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment